Package org.tmatesoft.svn.core.wc2.admin

# Class SvnRepositoryGetDiff

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<Long>
org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation<Long>
org.tmatesoft.svn.core.wc2.admin.SvnRepositoryGetDiff

All Implemented Interfaces:
  `ISvnOperationOptionsProvider`

public class SvnRepositoryGetDiff extends SvnRepositoryOperation<Long>

## Constructor Summary

Constructors
Constructor
Description
`SvnRepositoryGetDiff(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`OutputStream`
`getOutputStream()`
`String`
`getTransactionName()`
`boolean`
`isDiffAdded()`
`boolean`
`isDiffCopyFrom()`
`boolean`
`isDiffDeleted()`
`void`
`setDiffAdded(boolean diffAdded)`
`void`
`setDiffCopyFrom(boolean diffCopyFrom)`
`void`
`setDiffDeleted(boolean diffDeleted)`
`void`
`setOutputStream(OutputStream outputStream)`
`void`
`setTransactionName(String transactionName)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.admin.SvnRepositoryOperation

`getRepositoryRoot, isChangesWorkingCopy, setRepositoryRoot`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, initDefaults, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnRepositoryGetDiff

public SvnRepositoryGetDiff(SvnOperationFactory factory)

## Method Details

### getTransactionName

public String getTransactionName()

### setTransactionName

public void setTransactionName(String transactionName)

### isDiffDeleted

public boolean isDiffDeleted()

### setDiffDeleted

public void setDiffDeleted(boolean diffDeleted)

### isDiffAdded

public boolean isDiffAdded()

### setDiffAdded

public void setDiffAdded(boolean diffAdded)

### isDiffCopyFrom

public boolean isDiffCopyFrom()

### setDiffCopyFrom

public void setDiffCopyFrom(boolean diffCopyFrom)

### getOutputStream

public OutputStream getOutputStream()

### setOutputStream

public void setOutputStream(OutputStream outputStream)